cdac.medinfo.sdk.hl7282.utils

## Enum EnumTriggerEvent

- java.lang.Object
- - java.lang.Enum<EnumTriggerEvent>
  - - cdac.medinfo.sdk.hl7282.utils.EnumTriggerEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumTriggerEvent>

      public enum EnumTriggerEvent
      extends java.lang.Enum<EnumTriggerEvent>

  This Enum contains all Trigger Events of HL7.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A01` Enum constant of A01 Event
    `A02` Enum constant of A02 Event
    `A03` Enum constant of A03 Event
    `A04` Enum constant of A04 Event
    `A05` Enum constant of A05 Event
    `A06` Enum constant of A06 Event
    `A07` Enum constant of A07 Event
    `A08` Enum constant of A08 Event
    `A09` Enum constant of A09 Event
    `A10` Enum constant of A10 Event
    `A11` Enum constant of A11 Event
    `A12` Enum constant of A12 Event
    `A13` Enum constant of A13 Event
    `A14` Enum constant of A14 Event
    `A15` Enum constant of A15 Event
    `A16` Enum constant of A16 Event
    `A17` Enum constant of A17 Event
    `A20` Enum constant of A20 Event
    `A21` Enum constant of A21 Event
    `A22` Enum constant of A22 Event
    `A23` Enum constant of A23 Event
    `A24` Enum constant of A24 Event
    `A25` Enum constant of A25 Event
    `A26` Enum constant of A26 Event
    `A27` Enum constant of A27 Event
    `A28` Enum constant of A28 Event
    `A29` Enum constant of A29 Event
    `A31` Enum constant of A31 Event
    `A32` Enum constant of A32 Event
    `A33` Enum constant of A33 Event
    `A37` Enum constant of A37 Event
    `A38` Enum constant of A38 Event
    `A39` Enum constant of A39 Event
    `A40` Enum constant of A40 Event
    `A41` Enum constant of A41 Event
    `A42` Enum constant of A42 Event
    `A43` Enum constant of A43 Event
    `A44` Enum constant of A44 Event
    `A45` Enum constant of A45 Event
    `A47` Enum constant of A47 Event
    `A49` Enum constant of A49 Event
    `A50` Enum constant of A50 Event
    `A51` Enum constant of A51 Event
    `A52` Enum constant of A52 Event
    `A53` Enum constant of A53 Event
    `A54` Enum constant of A54 Event
    `A55` Enum constant of A55 Event
    `A60` Enum constant of A60 Event
    `A61` Enum constant of A61 Event
    `A62` Enum constant of A62 Event
    `B01` Enum constant of B01 Event
    `B02` Enum constant of B02 Event
    `B03` Enum constant of B03 Event
    `B04` Enum constant of B04 Event
    `B05` Enum constant of B05 Event
    `B06` Enum constant of B06 Event
    `B07` Enum constant of B07 Event
    `B08` Enum constant of B08 Event
    `C01` Enum constant of C01 Event
    `C02` Enum constant of C02 Event
    `C03` Enum constant of C03 Event
    `C04` Enum constant of C04 Event
    `C05` Enum constant of C05 Event
    `C06` Enum constant of C06 Event
    `C07` Enum constant of C07 Event
    `C08` Enum constant of C08 Event
    `C09` Enum constant of C09 Event
    `C10` Enum constant of C10 Event
    `C11` Enum constant of C11 Event
    `C12` Enum constant of C12 Event
    `CNQ` Enum constant of CNQ Event
    `E01` Enum constant of E01 Event
    `E02` Enum constant of E02 Event
    `E03` Enum constant of E03 Event
    `E04` Enum constant of E04 Event
    `E10` Enum constant of E10 Event
    `E12` Enum constant of E12 Event
    `E13` Enum constant of E13 Event
    `E15` Enum constant of E15 Event
    `E20` Enum constant of E20 Event
    `E21` Enum constant of E21 Event
    `E22` Enum constant of E22 Event
    `E24` Enum constant of E24 Event
    `E30` Enum constant of E30 Event
    `E31` Enum constant of E31 Event
    `I01` Enum constant of I01 Event
    `I02` Enum constant of I02 Event
    `I03` Enum constant of I03 Event
    `I04` Enum constant of I04 Event
    `I07` Enum constant of I07 Event
    `I08` Enum constant of I08 Event
    `I09` Enum constant of I09 Event
    `I10` Enum constant of I10 Event
    `I11` Enum constant of I11 Event
    `I12` Enum constant of I12 Event
    `I13` Enum constant of I13 Event
    `I14` Enum constant of I14 Event
    `I15` Enum constant of I15 Event
    `I16` Enum constant of I16 Event
    `I17` Enum constant of I17 Event
    `I18` Enum constant of I18 Event
    `I19` Enum constant of I19 Event
    `I20` Enum constant of I20 Event
    `I21` Enum constant of I21 Event
    `I22` Enum constant of I22 Event
    `J01` Enum constant of J01 Event
    `J02` Enum constant of J02 Event
    `K11` Enum constant of K11 Event
    `K13` Enum constant of K13 Event
    `K15` Enum constant of K15 Event
    `K21` Enum constant of K21 Event
    `K22` Enum constant of K22 Event
    `K23` Enum constant of K23 Event
    `K24` Enum constant of K24 Event
    `K25` Enum constant of K25 Event
    `K31` Enum constant of K31 Event
    `K32` Enum constant of K32 Event
    `K33` Enum constant of K33 Event
    `K34` Enum constant of K34 Event
    `M01` Enum constant of M02 Event
    `M02` Enum constant of M02 Event
    `M04` Enum constant of M04 Event
    `M05` Enum constant of M05 Event
    `M06` Enum constant of M06 Event
    `M07` Enum constant of M07 Event
    `M08` Enum constant of M08 Event
    `M09` Enum constant of M09 Event
    `M10` Enum constant of M10 Event
    `M11` Enum constant of M11 Event
    `M12` Enum constant of M12 Event
    `M13` Enum constant of M13 Event
    `M14` Enum constant of M14 Event
    `M15` Enum constant of M15 Event
    `M16` Enum constant of M16 Event
    `M17` Enum constant of M17 Event
    `M18` Enum constant of M18 Event
    `N02` Enum constant of N02 Event
    `O03` Enum constant of O03 Event
    `O04` Enum constant of O04 Event
    `O05` Enum constant of O05 Event
    `O06` Enum constant of O06 Event
    `O07` Enum constant of O07 Event
    `O08` Enum constant of O08 Event
    `O09` Enum constant of O09 Event
    `O10` Enum constant of O10 Event
    `O11` Enum constant of O11 Event
    `O12` Enum constant of O12 Event
    `O13` Enum constant of O13 Event
    `O14` Enum constant of O14 Event
    `O15` Enum constant of O15 Event
    `O16` Enum constant of O16 Event
    `O17` Enum constant of O17 Event
    `O18` Enum constant of O18 Event
    `O19` Enum constant of O19 Event
    `O20` Enum constant of O20 Event
    `O21` Enum constant of O21 Event
    `O22` Enum constant of O22 Event
    `O23` Enum constant of O23 Event
    `O24` Enum constant of O24 Event
    `O25` Enum constant of O25 Event
    `O26` Enum constant of O26 Event
    `O27` Enum constant of O27 Event
    `O28` Enum constant of O28 Event
    `O29` Enum constant of O29 Event
    `O30` Enum constant of O30 Event
    `O31` Enum constant of O31 Event
    `O32` Enum constant of O32 Event
    `O33` Enum constant of O33 Event
    `O34` Enum constant of O34 Event
    `O35` Enum constant of O35 Event
    `O36` Enum constant of O36 Event
    `O37` Enum constant of O37 Event
    `O38` Enum constant of O38 Event
    `O39` Enum constant of O39 Event
    `O40` Enum constant of O40 Event
    `O41` Enum constant of O41 Event
    `O42` Enum constant of O42 Event
    `O43` Enum constant of O43 Event
    `O44` Enum constant of O44 Event
    `O45` Enum constant of O45 Event
    `O46` Enum constant of O46 Event
    `O47` Enum constant of O47 Event
    `O48` Enum constant of O48 Event
    `P01` Enum constant of P01 Event
    `P02` Enum constant of P02 Event
    `P03` Enum constant of P03 Event
    `P04` Enum constant of P04 Event
    `P05` Enum constant of P05 Event
    `P06` Enum constant of P06 Event
    `P07` Enum constant of P07 Event
    `P08` Enum constant of P08 Event
    `P10` Enum constant of P10 Event
    `P11` Enum constant of P11 Event
    `P12` Enum constant of P12 Event
    `PC1` Enum constant of PC1 Event
    `PC2` Enum constant of PC2 Event
    `PC3` Enum constant of PC3 Event
    `PC6` Enum constant of PC6 Event
    `PC7` Enum constant of PC7 Event
    `PC8` Enum constant of PC8 Event
    `PCB` Enum constant of PCB Event
    `PCC` Enum constant of PCC Event
    `PCD` Enum constant of PCD Event
    `PCG` Enum constant of PCG Event
    `PCH` Enum constant of PCH Event
    `PCJ` Enum constant of PCJ Event
    `Q01` Enum constant of Q01 Event
    `Q02` Enum constant of Q02 Event
    `Q03` Enum constant of Q03 Event
    `Q04` Enum constant of Q04 Event
    `Q05` Enum constant of Q05 Event
    `Q07` Enum constant of Q07 Event
    `Q08` Enum constant of Q08 Event
    `Q09` Enum constant of Q09 Event
    `Q11` Enum constant of Q11 Event
    `Q13` Enum constant of Q13 Event
    `Q15` Enum constant of Q15 Event
    `Q16` Enum constant of Q16 Event
    `Q17` Enum constant of Q17 Event
    `Q21` Enum constant of Q21 Event
    `Q22` Enum constant of Q22 Event
    `Q23` Enum constant of Q23 Event
    `Q24` Enum constant of Q24 Event
    `Q25` Enum constant of Q25 Event
    `Q26` Enum constant of Q26 Event
    `Q27` Enum constant of Q27 Event
    `Q28` Enum constant of Q28 Event
    `Q29` Enum constant of Q29 Event
    `Q30` Enum constant of Q30 Event
    `Q31` Enum constant of Q31 Event
    `Q32` Enum constant of Q32 Event
    `Q33` Enum constant of Q33 Event
    `Q34` Enum constant of Q34 Event
    `R01` Enum constant of R01 Event
    `R03` Enum constant of R03 Event
    `R07` Enum constant of R07 Event
    `R08` Enum constant of R08 Event
    `R09` Enum constant of R09 Event
    `R22` Enum constant of R22 Event
    `R23` Enum constant of R23 Event
    `R24` Enum constant of R24 Event
    `R25` Enum constant of R25 Event
    `R26` Enum constant of R26 Event
    `R30` Enum constant of R30 Event
    `R31` Enum constant of R31 Event
    `R32` Enum constant of R32 Event
    `R33` Enum constant of R33 Event
    `R40` Enum constant of R40 Event
    `R41` Enum constant of R41 Event
    `RAR` Enum constant of RAR Event
    `RDR` Enum constant of RDR Event
    `RER` Enum constant of RER Event
    `RGR` Enum constant of RGR Event
    `ROR` Enum constant of ROR Event
    `S01` Enum constant of S01 Event
    `S02` Enum constant of S02 Event
    `S03` Enum constant of S03 Event
    `S04` Enum constant of S04 Event
    `S05` Enum constant of S05 Event
    `S06` Enum constant of S06 Event
    `S07` Enum constant of S07 Event
    `S08` Enum constant of S08 Event
    `S09` Enum constant of S09 Event
    `S10` Enum constant of S10 Event
    `S11` Enum constant of S11 Event
    `S12` Enum constant of S12 Event
    `S13` Enum constant of S13 Event
    `S14` Enum constant of S14 Event
    `S15` Enum constant of S15 Event
    `S16` Enum constant of S16 Event
    `S17` Enum constant of S17 Event
    `S18` Enum constant of S18 Event
    `S19` Enum constant of S19 Event
    `S20` Enum constant of S20 Event
    `S21` Enum constant of S21 Event
    `S22` Enum constant of S22 Event
    `S23` Enum constant of S23 Event
    `S24` Enum constant of S24 Event
    `S26` Enum constant of S26 Event
    `S27` Enum constant of S27 Event
    `S28` Enum constant of S28 Event
    `S29` Enum constant of S29 Event
    `S30` Enum constant of S30 Event
    `S31` Enum constant of S31 Event
    `S32` Enum constant of S32 Event
    `S33` Enum constant of S33 Event
    `S34` Enum constant of S34 Event
    `S35` Enum constant of S35 Event
    `S36` Enum constant of S36 Event
    `S37` Enum constant of S37 Event
    `T01` Enum constant of T01 Event
    `T02` Enum constant of T02 Event
    `T03` Enum constant of T03 Event
    `T04` Enum constant of T04 Event
    `T05` Enum constant of T05 Event
    `T06` Enum constant of T06 Event
    `T07` Enum constant of T07 Event
    `T08` Enum constant of T08 Event
    `T09` Enum constant of T09 Event
    `T10` Enum constant of T10 Event
    `T11` Enum constant of T11 Event
    `U01` Enum constant of U01 Event
    `U02` Enum constant of U02 Event
    `U03` Enum constant of U03 Event
    `U04` Enum constant of U04 Event
    `U05` Enum constant of U05 Event
    `U06` Enum constant of U06 Event
    `U07` Enum constant of U07 Event
    `U08` Enum constant of U08 Event
    `U09` Enum constant of U09 Event
    `U10` Enum constant of U10 Event
    `U11` Enum constant of U11 Event
    `U12` Enum constant of U12 Event
    `U13` Enum constant of U13 Event
    `V04` Enum constant of V04 Event
    `W01` Enum constant of W01 Event
    `W02` Enum constant of W02 Event
    `Z73` Enum constant of Z73 Event
    `Z74` Enum constant of Z74 Event
    `Z75` Enum constant of Z75 Event
    `Z76` Enum constant of Z76 Event
    `Z77` Enum constant of Z77 Event
    `Z78` Enum constant of Z78 Event
    `Z79` Enum constant of Z79 Event
    `Z80` Enum constant of Z80 Event
    `Z81` Enum constant of Z81 Event
    `Z82` Enum constant of Z82 Event
    `Z83` Enum constant of Z83 Event
    `Z84` Enum constant of Z84 Event
    `Z85` Enum constant of Z85 Event
    `Z86` Enum constant of Z86 Event
    `Z87` Enum constant of Z87 Event
    `Z88` Enum constant of Z88 Event
    `Z89` Enum constant of Z89 Event
    `Z90` Enum constant of Z90 Event
    `Z91` Enum constant of Z91 Event
    `Z92` Enum constant of Z92 Event
    `Z93` Enum constant of Z93 Event
    `Z94` Enum constant of Z94 Event
    `Z95` Enum constant of Z95 Event
    `Z96` Enum constant of Z96 Event
    `Z97` Enum constant of Z97 Event
    `Z98` Enum constant of Z98 Event
    `Z99` Enum constant of Z99 Event

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumTriggerEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumTriggerEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A01

          public static final EnumTriggerEvent A01

      Enum constant of A01 Event

    - #### A02

          public static final EnumTriggerEvent A02

      Enum constant of A02 Event

    - #### A03

          public static final EnumTriggerEvent A03

      Enum constant of A03 Event

    - #### A04

          public static final EnumTriggerEvent A04

      Enum constant of A04 Event

    - #### A05

          public static final EnumTriggerEvent A05

      Enum constant of A05 Event

    - #### A06

          public static final EnumTriggerEvent A06

      Enum constant of A06 Event

    - #### A07

          public static final EnumTriggerEvent A07

      Enum constant of A07 Event

    - #### A08

          public static final EnumTriggerEvent A08

      Enum constant of A08 Event

    - #### A09

          public static final EnumTriggerEvent A09

      Enum constant of A09 Event

    - #### A10

          public static final EnumTriggerEvent A10

      Enum constant of A10 Event

    - #### A11

          public static final EnumTriggerEvent A11

      Enum constant of A11 Event

    - #### A12

          public static final EnumTriggerEvent A12

      Enum constant of A12 Event

    - #### A13

          public static final EnumTriggerEvent A13

      Enum constant of A13 Event

    - #### A14

          public static final EnumTriggerEvent A14

      Enum constant of A14 Event

    - #### A15

          public static final EnumTriggerEvent A15

      Enum constant of A15 Event

    - #### A16

          public static final EnumTriggerEvent A16

      Enum constant of A16 Event

    - #### A17

          public static final EnumTriggerEvent A17

      Enum constant of A17 Event

    - #### A20

          public static final EnumTriggerEvent A20

      Enum constant of A20 Event

    - #### A21

          public static final EnumTriggerEvent A21

      Enum constant of A21 Event

    - #### A22

          public static final EnumTriggerEvent A22

      Enum constant of A22 Event

    - #### A23

          public static final EnumTriggerEvent A23

      Enum constant of A23 Event

    - #### A24

          public static final EnumTriggerEvent A24

      Enum constant of A24 Event

    - #### A25

          public static final EnumTriggerEvent A25

      Enum constant of A25 Event

    - #### A26

          public static final EnumTriggerEvent A26

      Enum constant of A26 Event

    - #### A27

          public static final EnumTriggerEvent A27

      Enum constant of A27 Event

    - #### A28

          public static final EnumTriggerEvent A28

      Enum constant of A28 Event

    - #### A29

          public static final EnumTriggerEvent A29

      Enum constant of A29 Event

    - #### A31

          public static final EnumTriggerEvent A31

      Enum constant of A31 Event

    - #### A32

          public static final EnumTriggerEvent A32

      Enum constant of A32 Event

    - #### A33

          public static final EnumTriggerEvent A33

      Enum constant of A33 Event

    - #### A37

          public static final EnumTriggerEvent A37

      Enum constant of A37 Event

    - #### A38

          public static final EnumTriggerEvent A38

      Enum constant of A38 Event

    - #### A39

          public static final EnumTriggerEvent A39

      Enum constant of A39 Event

    - #### A40

          public static final EnumTriggerEvent A40

      Enum constant of A40 Event

    - #### A41

          public static final EnumTriggerEvent A41

      Enum constant of A41 Event

    - #### A42

          public static final EnumTriggerEvent A42

      Enum constant of A42 Event

    - #### A43

          public static final EnumTriggerEvent A43

      Enum constant of A43 Event

    - #### A44

          public static final EnumTriggerEvent A44

      Enum constant of A44 Event

    - #### A45

          public static final EnumTriggerEvent A45

      Enum constant of A45 Event

    - #### A47

          public static final EnumTriggerEvent A47

      Enum constant of A47 Event

    - #### A49

          public static final EnumTriggerEvent A49

      Enum constant of A49 Event

    - #### A50

          public static final EnumTriggerEvent A50

      Enum constant of A50 Event

    - #### A51

          public static final EnumTriggerEvent A51

      Enum constant of A51 Event

    - #### A52

          public static final EnumTriggerEvent A52

      Enum constant of A52 Event

    - #### A53

          public static final EnumTriggerEvent A53

      Enum constant of A53 Event

    - #### A54

          public static final EnumTriggerEvent A54

      Enum constant of A54 Event

    - #### A55

          public static final EnumTriggerEvent A55

      Enum constant of A55 Event

    - #### A60

          public static final EnumTriggerEvent A60

      Enum constant of A60 Event

    - #### A61

          public static final EnumTriggerEvent A61

      Enum constant of A61 Event

    - #### A62

          public static final EnumTriggerEvent A62

      Enum constant of A62 Event

    - #### B01

          public static final EnumTriggerEvent B01

      Enum constant of B01 Event

    - #### B02

          public static final EnumTriggerEvent B02

      Enum constant of B02 Event

    - #### B03

          public static final EnumTriggerEvent B03

      Enum constant of B03 Event

    - #### B04

          public static final EnumTriggerEvent B04

      Enum constant of B04 Event

    - #### B05

          public static final EnumTriggerEvent B05

      Enum constant of B05 Event

    - #### B06

          public static final EnumTriggerEvent B06

      Enum constant of B06 Event

    - #### B07

          public static final EnumTriggerEvent B07

      Enum constant of B07 Event

    - #### B08

          public static final EnumTriggerEvent B08

      Enum constant of B08 Event

    - #### C01

          public static final EnumTriggerEvent C01

      Enum constant of C01 Event

    - #### C02

          public static final EnumTriggerEvent C02

      Enum constant of C02 Event

    - #### C03

          public static final EnumTriggerEvent C03

      Enum constant of C03 Event

    - #### C04

          public static final EnumTriggerEvent C04

      Enum constant of C04 Event

    - #### C05

          public static final EnumTriggerEvent C05

      Enum constant of C05 Event

    - #### C06

          public static final EnumTriggerEvent C06

      Enum constant of C06 Event

    - #### C07

          public static final EnumTriggerEvent C07

      Enum constant of C07 Event

    - #### C08

          public static final EnumTriggerEvent C08

      Enum constant of C08 Event

    - #### C09

          public static final EnumTriggerEvent C09

      Enum constant of C09 Event

    - #### C10

          public static final EnumTriggerEvent C10

      Enum constant of C10 Event

    - #### C11

          public static final EnumTriggerEvent C11

      Enum constant of C11 Event

    - #### C12

          public static final EnumTriggerEvent C12

      Enum constant of C12 Event

    - #### CNQ

          public static final EnumTriggerEvent CNQ

      Enum constant of CNQ Event

    - #### E01

          public static final EnumTriggerEvent E01

      Enum constant of E01 Event

    - #### E02

          public static final EnumTriggerEvent E02

      Enum constant of E02 Event

    - #### E03

          public static final EnumTriggerEvent E03

      Enum constant of E03 Event

    - #### E04

          public static final EnumTriggerEvent E04

      Enum constant of E04 Event

    - #### E10

          public static final EnumTriggerEvent E10

      Enum constant of E10 Event

    - #### E12

          public static final EnumTriggerEvent E12

      Enum constant of E12 Event

    - #### E13

          public static final EnumTriggerEvent E13

      Enum constant of E13 Event

    - #### E15

          public static final EnumTriggerEvent E15

      Enum constant of E15 Event

    - #### E20

          public static final EnumTriggerEvent E20

      Enum constant of E20 Event

    - #### E21

          public static final EnumTriggerEvent E21

      Enum constant of E21 Event

    - #### E22

          public static final EnumTriggerEvent E22

      Enum constant of E22 Event

    - #### E24

          public static final EnumTriggerEvent E24

      Enum constant of E24 Event

    - #### E30

          public static final EnumTriggerEvent E30

      Enum constant of E30 Event

    - #### E31

          public static final EnumTriggerEvent E31

      Enum constant of E31 Event

    - #### I01

          public static final EnumTriggerEvent I01

      Enum constant of I01 Event

    - #### I02

          public static final EnumTriggerEvent I02

      Enum constant of I02 Event

    - #### I03

          public static final EnumTriggerEvent I03

      Enum constant of I03 Event

    - #### I04

          public static final EnumTriggerEvent I04

      Enum constant of I04 Event

    - #### I07

          public static final EnumTriggerEvent I07

      Enum constant of I07 Event

    - #### I08

          public static final EnumTriggerEvent I08

      Enum constant of I08 Event

    - #### I09

          public static final EnumTriggerEvent I09

      Enum constant of I09 Event

    - #### I10

          public static final EnumTriggerEvent I10

      Enum constant of I10 Event

    - #### I11

          public static final EnumTriggerEvent I11

      Enum constant of I11 Event

    - #### I12

          public static final EnumTriggerEvent I12

      Enum constant of I12 Event

    - #### I13

          public static final EnumTriggerEvent I13

      Enum constant of I13 Event

    - #### I14

          public static final EnumTriggerEvent I14

      Enum constant of I14 Event

    - #### I15

          public static final EnumTriggerEvent I15

      Enum constant of I15 Event

    - #### I21

          public static final EnumTriggerEvent I21

      Enum constant of I21 Event

    - #### I16

          public static final EnumTriggerEvent I16

      Enum constant of I16 Event

    - #### I17

          public static final EnumTriggerEvent I17

      Enum constant of I17 Event

    - #### I18

          public static final EnumTriggerEvent I18

      Enum constant of I18 Event

    - #### I19

          public static final EnumTriggerEvent I19

      Enum constant of I19 Event

    - #### I20

          public static final EnumTriggerEvent I20

      Enum constant of I20 Event

    - #### I22

          public static final EnumTriggerEvent I22

      Enum constant of I22 Event

    - #### J01

          public static final EnumTriggerEvent J01

      Enum constant of J01 Event

    - #### J02

          public static final EnumTriggerEvent J02

      Enum constant of J02 Event

    - #### K11

          public static final EnumTriggerEvent K11

      Enum constant of K11 Event

    - #### K13

          public static final EnumTriggerEvent K13

      Enum constant of K13 Event

    - #### K15

          public static final EnumTriggerEvent K15

      Enum constant of K15 Event

    - #### K21

          public static final EnumTriggerEvent K21

      Enum constant of K21 Event

    - #### K22

          public static final EnumTriggerEvent K22

      Enum constant of K22 Event

    - #### K23

          public static final EnumTriggerEvent K23

      Enum constant of K23 Event

    - #### K24

          public static final EnumTriggerEvent K24

      Enum constant of K24 Event

    - #### K25

          public static final EnumTriggerEvent K25

      Enum constant of K25 Event

    - #### K32

          public static final EnumTriggerEvent K32

      Enum constant of K32 Event

    - #### M01

          public static final EnumTriggerEvent M01

      Enum constant of M02 Event

    - #### M02

          public static final EnumTriggerEvent M02

      Enum constant of M02 Event

    - #### M04

          public static final EnumTriggerEvent M04

      Enum constant of M04 Event

    - #### M05

          public static final EnumTriggerEvent M05

      Enum constant of M05 Event

    - #### M06

          public static final EnumTriggerEvent M06

      Enum constant of M06 Event

    - #### M07

          public static final EnumTriggerEvent M07

      Enum constant of M07 Event

    - #### M08

          public static final EnumTriggerEvent M08

      Enum constant of M08 Event

    - #### M09

          public static final EnumTriggerEvent M09

      Enum constant of M09 Event

    - #### M10

          public static final EnumTriggerEvent M10

      Enum constant of M10 Event

    - #### M11

          public static final EnumTriggerEvent M11

      Enum constant of M11 Event

    - #### M12

          public static final EnumTriggerEvent M12

      Enum constant of M12 Event

    - #### M13

          public static final EnumTriggerEvent M13

      Enum constant of M13 Event

    - #### M14

          public static final EnumTriggerEvent M14

      Enum constant of M14 Event

    - #### M15

          public static final EnumTriggerEvent M15

      Enum constant of M15 Event

    - #### M16

          public static final EnumTriggerEvent M16

      Enum constant of M16 Event

    - #### M17

          public static final EnumTriggerEvent M17

      Enum constant of M17 Event

    - #### M18

          public static final EnumTriggerEvent M18

      Enum constant of M18 Event

    - #### N02

          public static final EnumTriggerEvent N02

      Enum constant of N02 Event

    - #### O03

          public static final EnumTriggerEvent O03

      Enum constant of O03 Event

    - #### O04

          public static final EnumTriggerEvent O04

      Enum constant of O04 Event

    - #### O05

          public static final EnumTriggerEvent O05

      Enum constant of O05 Event

    - #### O06

          public static final EnumTriggerEvent O06

      Enum constant of O06 Event

    - #### O07

          public static final EnumTriggerEvent O07

      Enum constant of O07 Event

    - #### O08

          public static final EnumTriggerEvent O08

      Enum constant of O08 Event

    - #### O09

          public static final EnumTriggerEvent O09

      Enum constant of O09 Event

    - #### O10

          public static final EnumTriggerEvent O10

      Enum constant of O10 Event

    - #### O11

          public static final EnumTriggerEvent O11

      Enum constant of O11 Event

    - #### O12

          public static final EnumTriggerEvent O12

      Enum constant of O12 Event

    - #### O13

          public static final EnumTriggerEvent O13

      Enum constant of O13 Event

    - #### O14

          public static final EnumTriggerEvent O14

      Enum constant of O14 Event

    - #### O15

          public static final EnumTriggerEvent O15

      Enum constant of O15 Event

    - #### O16

          public static final EnumTriggerEvent O16

      Enum constant of O16 Event

    - #### O17

          public static final EnumTriggerEvent O17

      Enum constant of O17 Event

    - #### O18

          public static final EnumTriggerEvent O18

      Enum constant of O18 Event

    - #### O19

          public static final EnumTriggerEvent O19

      Enum constant of O19 Event

    - #### O20

          public static final EnumTriggerEvent O20

      Enum constant of O20 Event

    - #### O21

          public static final EnumTriggerEvent O21

      Enum constant of O21 Event

    - #### O22

          public static final EnumTriggerEvent O22

      Enum constant of O22 Event

    - #### O23

          public static final EnumTriggerEvent O23

      Enum constant of O23 Event

    - #### O24

          public static final EnumTriggerEvent O24

      Enum constant of O24 Event

    - #### O25

          public static final EnumTriggerEvent O25

      Enum constant of O25 Event

    - #### O26

          public static final EnumTriggerEvent O26

      Enum constant of O26 Event

    - #### O27

          public static final EnumTriggerEvent O27

      Enum constant of O27 Event

    - #### O28

          public static final EnumTriggerEvent O28

      Enum constant of O28 Event

    - #### O29

          public static final EnumTriggerEvent O29

      Enum constant of O29 Event

    - #### O30

          public static final EnumTriggerEvent O30

      Enum constant of O30 Event

    - #### O31

          public static final EnumTriggerEvent O31

      Enum constant of O31 Event

    - #### O32

          public static final EnumTriggerEvent O32

      Enum constant of O32 Event

    - #### O33

          public static final EnumTriggerEvent O33

      Enum constant of O33 Event

    - #### O34

          public static final EnumTriggerEvent O34

      Enum constant of O34 Event

    - #### O35

          public static final EnumTriggerEvent O35

      Enum constant of O35 Event

    - #### O36

          public static final EnumTriggerEvent O36

      Enum constant of O36 Event

    - #### O37

          public static final EnumTriggerEvent O37

      Enum constant of O37 Event

    - #### O38

          public static final EnumTriggerEvent O38

      Enum constant of O38 Event

    - #### O39

          public static final EnumTriggerEvent O39

      Enum constant of O39 Event

    - #### O40

          public static final EnumTriggerEvent O40

      Enum constant of O40 Event

    - #### O41

          public static final EnumTriggerEvent O41

      Enum constant of O41 Event

    - #### O42

          public static final EnumTriggerEvent O42

      Enum constant of O42 Event

    - #### O43

          public static final EnumTriggerEvent O43

      Enum constant of O43 Event

    - #### P01

          public static final EnumTriggerEvent P01

      Enum constant of P01 Event

    - #### P02

          public static final EnumTriggerEvent P02

      Enum constant of P02 Event

    - #### P03

          public static final EnumTriggerEvent P03

      Enum constant of P03 Event

    - #### P04

          public static final EnumTriggerEvent P04

      Enum constant of P04 Event

    - #### P05

          public static final EnumTriggerEvent P05

      Enum constant of P05 Event

    - #### P06

          public static final EnumTriggerEvent P06

      Enum constant of P06 Event

    - #### P07

          public static final EnumTriggerEvent P07

      Enum constant of P07 Event

    - #### P08

          public static final EnumTriggerEvent P08

      Enum constant of P08 Event

    - #### P10

          public static final EnumTriggerEvent P10

      Enum constant of P10 Event

    - #### P11

          public static final EnumTriggerEvent P11

      Enum constant of P11 Event

    - #### P12

          public static final EnumTriggerEvent P12

      Enum constant of P12 Event

    - #### PC1

          public static final EnumTriggerEvent PC1

      Enum constant of PC1 Event

    - #### PC2

          public static final EnumTriggerEvent PC2

      Enum constant of PC2 Event

    - #### PC3

          public static final EnumTriggerEvent PC3

      Enum constant of PC3 Event

    - #### PC6

          public static final EnumTriggerEvent PC6

      Enum constant of PC6 Event

    - #### PC7

          public static final EnumTriggerEvent PC7

      Enum constant of PC7 Event

    - #### PC8

          public static final EnumTriggerEvent PC8

      Enum constant of PC8 Event

    - #### PCB

          public static final EnumTriggerEvent PCB

      Enum constant of PCB Event

    - #### PCC

          public static final EnumTriggerEvent PCC

      Enum constant of PCC Event

    - #### PCD

          public static final EnumTriggerEvent PCD

      Enum constant of PCD Event

    - #### PCG

          public static final EnumTriggerEvent PCG

      Enum constant of PCG Event

    - #### PCH

          public static final EnumTriggerEvent PCH

      Enum constant of PCH Event

    - #### PCJ

          public static final EnumTriggerEvent PCJ

      Enum constant of PCJ Event

    - #### Q01

          public static final EnumTriggerEvent Q01

      Enum constant of Q01 Event

    - #### Q02

          public static final EnumTriggerEvent Q02

      Enum constant of Q02 Event

    - #### Q03

          public static final EnumTriggerEvent Q03

      Enum constant of Q03 Event

    - #### Q04

          public static final EnumTriggerEvent Q04

      Enum constant of Q04 Event

    - #### Q05

          public static final EnumTriggerEvent Q05

      Enum constant of Q05 Event

    - #### Q07

          public static final EnumTriggerEvent Q07

      Enum constant of Q07 Event

    - #### Q08

          public static final EnumTriggerEvent Q08

      Enum constant of Q08 Event

    - #### Q09

          public static final EnumTriggerEvent Q09

      Enum constant of Q09 Event

    - #### Q11

          public static final EnumTriggerEvent Q11

      Enum constant of Q11 Event

    - #### Q13

          public static final EnumTriggerEvent Q13

      Enum constant of Q13 Event

    - #### Q15

          public static final EnumTriggerEvent Q15

      Enum constant of Q15 Event

    - #### Q16

          public static final EnumTriggerEvent Q16

      Enum constant of Q16 Event

    - #### Q17

          public static final EnumTriggerEvent Q17

      Enum constant of Q17 Event

    - #### Q21

          public static final EnumTriggerEvent Q21

      Enum constant of Q21 Event

    - #### Q22

          public static final EnumTriggerEvent Q22

      Enum constant of Q22 Event

    - #### Q23

          public static final EnumTriggerEvent Q23

      Enum constant of Q23 Event

    - #### Q24

          public static final EnumTriggerEvent Q24

      Enum constant of Q24 Event

    - #### Q25

          public static final EnumTriggerEvent Q25

      Enum constant of Q25 Event

    - #### Q32

          public static final EnumTriggerEvent Q32

      Enum constant of Q32 Event

    - #### R01

          public static final EnumTriggerEvent R01

      Enum constant of R01 Event

    - #### R03

          public static final EnumTriggerEvent R03

      Enum constant of R03 Event

    - #### ROR

          public static final EnumTriggerEvent ROR

      Enum constant of ROR Event

    - #### R07

          public static final EnumTriggerEvent R07

      Enum constant of R07 Event

    - #### R08

          public static final EnumTriggerEvent R08

      Enum constant of R08 Event

    - #### R09

          public static final EnumTriggerEvent R09

      Enum constant of R09 Event

    - #### R22

          public static final EnumTriggerEvent R22

      Enum constant of R22 Event

    - #### R23

          public static final EnumTriggerEvent R23

      Enum constant of R23 Event

    - #### R24

          public static final EnumTriggerEvent R24

      Enum constant of R24 Event

    - #### R25

          public static final EnumTriggerEvent R25

      Enum constant of R25 Event

    - #### R26

          public static final EnumTriggerEvent R26

      Enum constant of R26 Event

    - #### R30

          public static final EnumTriggerEvent R30

      Enum constant of R30 Event

    - #### R31

          public static final EnumTriggerEvent R31

      Enum constant of R31 Event

    - #### R32

          public static final EnumTriggerEvent R32

      Enum constant of R32 Event

    - #### R33

          public static final EnumTriggerEvent R33

      Enum constant of R33 Event

    - #### R41

          public static final EnumTriggerEvent R41

      Enum constant of R41 Event

    - #### R40

          public static final EnumTriggerEvent R40

      Enum constant of R40 Event

    - #### S01

          public static final EnumTriggerEvent S01

      Enum constant of S01 Event

    - #### S02

          public static final EnumTriggerEvent S02

      Enum constant of S02 Event

    - #### S03

          public static final EnumTriggerEvent S03

      Enum constant of S03 Event

    - #### S04

          public static final EnumTriggerEvent S04

      Enum constant of S04 Event

    - #### S05

          public static final EnumTriggerEvent S05

      Enum constant of S05 Event

    - #### S06

          public static final EnumTriggerEvent S06

      Enum constant of S06 Event

    - #### S07

          public static final EnumTriggerEvent S07

      Enum constant of S07 Event

    - #### S08

          public static final EnumTriggerEvent S08

      Enum constant of S08 Event

    - #### S09

          public static final EnumTriggerEvent S09

      Enum constant of S09 Event

    - #### S10

          public static final EnumTriggerEvent S10

      Enum constant of S10 Event

    - #### S11

          public static final EnumTriggerEvent S11

      Enum constant of S11 Event

    - #### S12

          public static final EnumTriggerEvent S12

      Enum constant of S12 Event

    - #### S13

          public static final EnumTriggerEvent S13

      Enum constant of S13 Event

    - #### S14

          public static final EnumTriggerEvent S14

      Enum constant of S14 Event

    - #### S15

          public static final EnumTriggerEvent S15

      Enum constant of S15 Event

    - #### S16

          public static final EnumTriggerEvent S16

      Enum constant of S16 Event

    - #### S17

          public static final EnumTriggerEvent S17

      Enum constant of S17 Event

    - #### S18

          public static final EnumTriggerEvent S18

      Enum constant of S18 Event

    - #### S19

          public static final EnumTriggerEvent S19

      Enum constant of S19 Event

    - #### S20

          public static final EnumTriggerEvent S20

      Enum constant of S20 Event

    - #### S21

          public static final EnumTriggerEvent S21

      Enum constant of S21 Event

    - #### S22

          public static final EnumTriggerEvent S22

      Enum constant of S22 Event

    - #### S23

          public static final EnumTriggerEvent S23

      Enum constant of S23 Event

    - #### S24

          public static final EnumTriggerEvent S24

      Enum constant of S24 Event

    - #### S26

          public static final EnumTriggerEvent S26

      Enum constant of S26 Event

    - #### S27

          public static final EnumTriggerEvent S27

      Enum constant of S27 Event

    - #### S28

          public static final EnumTriggerEvent S28

      Enum constant of S28 Event

    - #### S29

          public static final EnumTriggerEvent S29

      Enum constant of S29 Event

    - #### S30

          public static final EnumTriggerEvent S30

      Enum constant of S30 Event

    - #### S31

          public static final EnumTriggerEvent S31

      Enum constant of S31 Event

    - #### S32

          public static final EnumTriggerEvent S32

      Enum constant of S32 Event

    - #### S33

          public static final EnumTriggerEvent S33

      Enum constant of S33 Event

    - #### S34

          public static final EnumTriggerEvent S34

      Enum constant of S34 Event

    - #### S35

          public static final EnumTriggerEvent S35

      Enum constant of S35 Event

    - #### S36

          public static final EnumTriggerEvent S36

      Enum constant of S36 Event

    - #### S37

          public static final EnumTriggerEvent S37

      Enum constant of S37 Event

    - #### T01

          public static final EnumTriggerEvent T01

      Enum constant of T01 Event

    - #### T02

          public static final EnumTriggerEvent T02

      Enum constant of T02 Event

    - #### T03

          public static final EnumTriggerEvent T03

      Enum constant of T03 Event

    - #### T04

          public static final EnumTriggerEvent T04

      Enum constant of T04 Event

    - #### T05

          public static final EnumTriggerEvent T05

      Enum constant of T05 Event

    - #### T06

          public static final EnumTriggerEvent T06

      Enum constant of T06 Event

    - #### T07

          public static final EnumTriggerEvent T07

      Enum constant of T07 Event

    - #### T08

          public static final EnumTriggerEvent T08

      Enum constant of T08 Event

    - #### T09

          public static final EnumTriggerEvent T09

      Enum constant of T09 Event

    - #### T10

          public static final EnumTriggerEvent T10

      Enum constant of T10 Event

    - #### T11

          public static final EnumTriggerEvent T11

      Enum constant of T11 Event

    - #### U01

          public static final EnumTriggerEvent U01

      Enum constant of U01 Event

    - #### U02

          public static final EnumTriggerEvent U02

      Enum constant of U02 Event

    - #### U03

          public static final EnumTriggerEvent U03

      Enum constant of U03 Event

    - #### U04

          public static final EnumTriggerEvent U04

      Enum constant of U04 Event

    - #### U05

          public static final EnumTriggerEvent U05

      Enum constant of U05 Event

    - #### U06

          public static final EnumTriggerEvent U06

      Enum constant of U06 Event

    - #### U07

          public static final EnumTriggerEvent U07

      Enum constant of U07 Event

    - #### U08

          public static final EnumTriggerEvent U08

      Enum constant of U08 Event

    - #### U09

          public static final EnumTriggerEvent U09

      Enum constant of U09 Event

    - #### U10

          public static final EnumTriggerEvent U10

      Enum constant of U10 Event

    - #### U11

          public static final EnumTriggerEvent U11

      Enum constant of U11 Event

    - #### U12

          public static final EnumTriggerEvent U12

      Enum constant of U12 Event

    - #### U13

          public static final EnumTriggerEvent U13

      Enum constant of U13 Event

    - #### V04

          public static final EnumTriggerEvent V04

      Enum constant of V04 Event

    - #### W01

          public static final EnumTriggerEvent W01

      Enum constant of W01 Event

    - #### W02

          public static final EnumTriggerEvent W02

      Enum constant of W02 Event

    - #### K31

          public static final EnumTriggerEvent K31

      Enum constant of K31 Event

    - #### Q26

          public static final EnumTriggerEvent Q26

      Enum constant of Q26 Event

    - #### Q27

          public static final EnumTriggerEvent Q27

      Enum constant of Q27 Event

    - #### Q28

          public static final EnumTriggerEvent Q28

      Enum constant of Q28 Event

    - #### Q29

          public static final EnumTriggerEvent Q29

      Enum constant of Q29 Event

    - #### Q30

          public static final EnumTriggerEvent Q30

      Enum constant of Q30 Event

    - #### Q31

          public static final EnumTriggerEvent Q31

      Enum constant of Q31 Event

    - #### RAR

          public static final EnumTriggerEvent RAR

      Enum constant of RAR Event

    - #### RDR

          public static final EnumTriggerEvent RDR

      Enum constant of RDR Event

    - #### RER

          public static final EnumTriggerEvent RER

      Enum constant of RER Event

    - #### RGR

          public static final EnumTriggerEvent RGR

      Enum constant of RGR Event

    - #### Z73

          public static final EnumTriggerEvent Z73

      Enum constant of Z73 Event

    - #### Z74

          public static final EnumTriggerEvent Z74

      Enum constant of Z74 Event

    - #### Z75

          public static final EnumTriggerEvent Z75

      Enum constant of Z75 Event

    - #### Z76

          public static final EnumTriggerEvent Z76

      Enum constant of Z76 Event

    - #### Z77

          public static final EnumTriggerEvent Z77

      Enum constant of Z77 Event

    - #### Z78

          public static final EnumTriggerEvent Z78

      Enum constant of Z78 Event

    - #### Z79

          public static final EnumTriggerEvent Z79

      Enum constant of Z79 Event

    - #### Z80

          public static final EnumTriggerEvent Z80

      Enum constant of Z80 Event

    - #### Z81

          public static final EnumTriggerEvent Z81

      Enum constant of Z81 Event

    - #### Z82

          public static final EnumTriggerEvent Z82

      Enum constant of Z82 Event

    - #### Z83

          public static final EnumTriggerEvent Z83

      Enum constant of Z83 Event

    - #### Z84

          public static final EnumTriggerEvent Z84

      Enum constant of Z84 Event

    - #### Z85

          public static final EnumTriggerEvent Z85

      Enum constant of Z85 Event

    - #### Z86

          public static final EnumTriggerEvent Z86

      Enum constant of Z86 Event

    - #### Z87

          public static final EnumTriggerEvent Z87

      Enum constant of Z87 Event

    - #### Z88

          public static final EnumTriggerEvent Z88

      Enum constant of Z88 Event

    - #### Z89

          public static final EnumTriggerEvent Z89

      Enum constant of Z89 Event

    - #### Z90

          public static final EnumTriggerEvent Z90

      Enum constant of Z90 Event

    - #### Z91

          public static final EnumTriggerEvent Z91

      Enum constant of Z91 Event

    - #### Z92

          public static final EnumTriggerEvent Z92

      Enum constant of Z92 Event

    - #### Z93

          public static final EnumTriggerEvent Z93

      Enum constant of Z93 Event

    - #### Z94

          public static final EnumTriggerEvent Z94

      Enum constant of Z94 Event

    - #### Z95

          public static final EnumTriggerEvent Z95

      Enum constant of Z95 Event

    - #### Z96

          public static final EnumTriggerEvent Z96

      Enum constant of Z96 Event

    - #### Z97

          public static final EnumTriggerEvent Z97

      Enum constant of Z97 Event

    - #### Z98

          public static final EnumTriggerEvent Z98

      Enum constant of Z98 Event

    - #### Z99

          public static final EnumTriggerEvent Z99

      Enum constant of Z99 Event

    - #### Q33

          public static final EnumTriggerEvent Q33

      Enum constant of Q33 Event

    - #### K33

          public static final EnumTriggerEvent K33

      Enum constant of K33 Event

    - #### Q34

          public static final EnumTriggerEvent Q34

      Enum constant of Q34 Event

    - #### K34

          public static final EnumTriggerEvent K34

      Enum constant of K34 Event

    - #### O44

          public static final EnumTriggerEvent O44

      Enum constant of O44 Event

    - #### O45

          public static final EnumTriggerEvent O45

      Enum constant of O45 Event

    - #### O48

          public static final EnumTriggerEvent O48

      Enum constant of O48 Event

    - #### O46

          public static final EnumTriggerEvent O46

      Enum constant of O46 Event

    - #### O47

          public static final EnumTriggerEvent O47

      Enum constant of O47 Event

  - ### Method Detail

    - #### values

          public static EnumTriggerEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumTriggerEvent c : EnumTriggerEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumTriggerEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Enum Trigger Event on which it is called.